## libbpp-phyl 2.0.2

=== CMakeLists.txt ===
# CMake script for Bio++ PhylLib
# Author: Sylvain Gaillard and Julien Dutheil
# Created: 20/08/2009

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(bpp-phyl CXX)
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(CMAKE_CXX_FLAGS "-Wall -Wshadow -Weffc++")
IF(NOT NO_VIRTUAL_COV)
  SET(NO_VIRTUAL_COV FALSE CACHE BOOL
      "Disable covariant return type with virtual inheritance, for compilers that do not support it."
      FORCE)
ENDIF(NOT NO_VIRTUAL_COV)

IF(NO_VIRTUAL_COV)
  MESSAGE("-- Covariant return with virtual inheritance disabled.")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNO_VIRTUAL_COV=1")
ENDIF(NO_VIRTUAL_COV)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

# Libtool-like version number
# CURRENT:REVISION:AGE => file.so.(C-A).A.R
# current:  The most recent interface number that this library implements.
# revision: The implementation number of the current interface.
# age:      The difference between the newest and oldest interfaces that this
#           library implements.
# In other words, the library implements all the interface numbers in the
# range from number current - age to current.
SET(BPPPHYL_VERSION_CURRENT "10")
SET(BPPPHYL_VERSION_REVISION "1")
SET(BPPPHYL_VERSION_AGE "1")

# Effective version number computation
MATH(EXPR BPPPHYL_VERSION_MAJOR "${BPPPHYL_VERSION_CURRENT} - ${BPPPHYL_VERSION_AGE}")
SET(BPPPHYL_VERSION_MINOR ${BPPPHYL_VERSION_AGE})
SET(BPPPHYL_VERSION_PATCH ${BPPPHYL_VERSION_REVISION})
SET(BPPPHYL_VERSION "${BPPPHYL_VERSION_MAJOR}.${BPPPHYL_VERSION_MINOR}.${BPPPHYL_VERSION_PATCH}")

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

#here is a useful function:
MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find})
  SET(${lib_name}_NAMES ${lib_name} ${lib_name}lib ${lib_name}dll)
  FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})

  IF(${lib_name}_LIBRARY)
    MESSAGE("-- Library ${lib_name} found here:")
    MESSAGE("   includes : ${${lib_name}_INCLUDE_DIR}")
    MESSAGE("   libraries: ${${lib_name}_LIBRARY}")
  ELSE(${lib_name}_LIBRARY)
    MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
  ENDIF(${lib_name}_LIBRARY)
  
  #add the dependency:
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})
  SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
ENDMACRO(IMPROVED_FIND_LIBRARY)

#Find the Bio++ libraries:
IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-core Bpp/Clonable.h)

# Subdirectories
ADD_SUBDIRECTORY(src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc ${DOXYGEN_EXECUTABLE} Doxyfile)
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile-stable )
ENDIF (DOXYGEN_FOUND)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "libbpp-phyl")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "2.0.2")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "0")
SET(CPACK_PACKAGE_VERSION_PATCH "2")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogenetics library")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.cmake"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\.sh"
 ".*\\\\..*\\\\.swp"
 "src/\\\\..*"
 "src/libbpp*"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "html"
 "Phyl.tag"
 "Testing"
 "build-stamp"
 "genIncludes.py"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)
IF (MACOS)
  SET(CPACK_GENERATOR "Bundle")
ENDIF()

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)
#This creates deb packages:
ADD_CUSTOM_TARGET(origdist COMMAND cp ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz ../${CPACK_DEBSOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(origdist dist)
ADD_CUSTOM_TARGET(deb dpkg-buildpackage -uc -us -i${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(deb origdist)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)

ENDIF()

SET(CTEST_UPDATE_TYPE git)
ENABLE_TESTING()
INCLUDE(CTest)
IF (BUILD_TESTING)
  ADD_SUBDIRECTORY(test)
ENDIF(BUILD_TESTING)

ENDIF(NOT NO_DEP_CHECK)

=== src/CMakeLists.txt ===
# CMake script for Bio++ PhylLib
# Author: Sylvain Gaillard and Julien Dutheil
# Created: 20/08/2009

# File list
set(CPP_FILES
  Bpp/Phyl/App/PhylogeneticsApplicationTools.cpp
  Bpp/Phyl/BipartitionList.cpp
  Bpp/Phyl/BipartitionTools.cpp
  Bpp/Phyl/Distance/AbstractAgglomerativeDistanceMethod.cpp
  Bpp/Phyl/Distance/BioNJ.cpp
  Bpp/Phyl/Distance/DistanceEstimation.cpp
  Bpp/Phyl/Distance/NeighborJoining.cpp
  Bpp/Phyl/Distance/PGMA.cpp
  Bpp/Phyl/Distance/HierarchicalClustering.cpp
  Bpp/Phyl/Graphics/AbstractDendrogramPlot.cpp
  Bpp/Phyl/Graphics/AbstractTreeDrawing.cpp
  Bpp/Phyl/Graphics/CladogramPlot.cpp
  Bpp/Phyl/Graphics/PhylogramPlot.cpp
  Bpp/Phyl/Graphics/TreeDrawingDisplayControler.cpp
  Bpp/Phyl/Graphics/TreeDrawingListener.cpp
  Bpp/Phyl/Io/IoDistanceMatrixFactory.cpp
  Bpp/Phyl/Io/IoTreeFactory.cpp
  Bpp/Phyl/Io/Newick.cpp
  Bpp/Phyl/Io/NexusIoTree.cpp
  Bpp/Phyl/Io/Nhx.cpp
  Bpp/Phyl/Io/PhylipDistanceMatrixFormat.cpp
  Bpp/Phyl/Io/IoPairedSiteLikelihoods.cpp
  Bpp/Phyl/Likelihood/AbstractDiscreteRatesAcrossSitesTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/AbstractHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/AbstractNonHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/AbstractTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/DRASDRTreeLikelihoodData.cpp
  Bpp/Phyl/Likelihood/DRASRTreeLikelihoodData.cpp
  Bpp/Phyl/Likelihood/DRHomogeneousMixedTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/DRHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/DRNonHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/DRTreeLikelihoodTools.cpp
  Bpp/Phyl/Likelihood/MarginalAncestralStateReconstruction.cpp
  Bpp/Phyl/Likelihood/NNIHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/PseudoNewtonOptimizer.cpp
  Bpp/Phyl/Likelihood/RASTools.cpp
  Bpp/Phyl/Likelihood/RHomogeneousClockTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/RHomogeneousMixedTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/RHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/RNonHomogeneousMixedTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/RNonHomogeneousTreeLikelihood.cpp
  Bpp/Phyl/Likelihood/TreeLikelihoodTools.cpp
  Bpp/Phyl/Likelihood/PairedSiteLikelihoods.cpp
  Bpp/Phyl/Mapping/AnalyticalSubstitutionCount.cpp
  Bpp/Phyl/Mapping/OneJumpSubstitutionCount.cpp
  Bpp/Phyl/Mapping/ProbabilisticSubstitutionMapping.cpp
  Bpp/Phyl/Mapping/SimpleSubstitutionCount.cpp
  Bpp/Phyl/Mapping/DecompositionSubstitutionCount.cpp
  Bpp/Phyl/Mapping/UniformizationSubstitutionCount.cpp
  Bpp/Phyl/Mapping/IndexToCount.cpp
  Bpp/Phyl/Mapping/SubstitutionMappingTools.cpp
  Bpp/Phyl/Model/AbstractCodonFrequenciesReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/AbstractCodonReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/AbstractSubstitutionModel.cpp
  Bpp/Phyl/Model/AbstractWordReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/CodonAsynonymousFrequenciesReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/CodonAsynonymousReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/CodonNeutralFrequenciesReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/CodonNeutralReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/DSO78.cpp
  Bpp/Phyl/Model/F84.cpp
  Bpp/Phyl/Model/FrequenciesSet.cpp
  Bpp/Phyl/Model/GTR.cpp
  Bpp/Phyl/Model/GY94.cpp
  Bpp/Phyl/Model/HKY85.cpp
  Bpp/Phyl/Model/JCnuc.cpp
  Bpp/Phyl/Model/JCprot.cpp
  Bpp/Phyl/Model/JTT92.cpp
  Bpp/Phyl/Model/K80.cpp
  Bpp/Phyl/Model/L95.cpp
  Bpp/Phyl/Model/RN95.cpp
  Bpp/Phyl/Model/RN95s.cpp
  Bpp/Phyl/Model/SSR.cpp
  Bpp/Phyl/Model/LG08.cpp
  Bpp/Phyl/Model/WAG01.cpp
  Bpp/Phyl/Model/LLG08_EHO.cpp
  Bpp/Phyl/Model/LLG08_EX2.cpp
  Bpp/Phyl/Model/LLG08_EX3.cpp
  Bpp/Phyl/Model/LLG08_UL2.cpp
  Bpp/Phyl/Model/LLG08_UL3.cpp
  Bpp/Phyl/Model/MarkovModulatedSubstitutionModel.cpp
  Bpp/Phyl/Model/MG94.cpp
  Bpp/Phyl/Model/AbstractMixedSubstitutionModel.cpp
  Bpp/Phyl/Model/MixtureOfASubstitutionModel.cpp
  Bpp/Phyl/Model/MixtureOfSubstitutionModels.cpp
  Bpp/Phyl/Model/RateDistributionFactory.cpp
  Bpp/Phyl/Model/RE08.cpp
  Bpp/Phyl/Model/SubstitutionModelFactory.cpp
  Bpp/Phyl/Model/SubstitutionModelSet.cpp
  Bpp/Phyl/Model/SubstitutionModelSetTools.cpp
  Bpp/Phyl/Model/T92.cpp
  Bpp/Phyl/Model/TN93.cpp
  Bpp/Phyl/Model/TripletReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/UserProteinSubstitutionModel.cpp
  Bpp/Phyl/Model/WordReversibleSubstitutionModel.cpp
  Bpp/Phyl/Model/YN98.cpp
  Bpp/Phyl/Model/YNGKP_M1.cpp
  Bpp/Phyl/Model/YNGKP_M2.cpp
  Bpp/Phyl/Model/YNGKP_M3.cpp
  Bpp/Phyl/Model/YNGKP_M7.cpp
  Bpp/Phyl/Model/YNGKP_M8.cpp
  Bpp/Phyl/NNITopologySearch.cpp
  Bpp/Phyl/Node.cpp
  Bpp/Phyl/OptimizationTools.cpp
  Bpp/Phyl/Parsimony/AbstractTreeParsimonyScore.cpp
  Bpp/Phyl/Parsimony/DRTreeParsimonyData.cpp
  Bpp/Phyl/Parsimony/DRTreeParsimonyScore.cpp
  Bpp/Phyl/PatternTools.cpp
  Bpp/Phyl/PhyloStatistics.cpp
  Bpp/Phyl/Simulation/MutationProcess.cpp
  Bpp/Phyl/Simulation/NonHomogeneousSequenceSimulator.cpp
  Bpp/Phyl/Simulation/SequenceSimulationTools.cpp
  Bpp/Phyl/SitePatterns.cpp
  Bpp/Phyl/TreeExceptions.cpp
  Bpp/Phyl/TreeTemplateTools.cpp
  Bpp/Phyl/TreeTools.cpp  
  )
set(H_FILES
  Bpp/Phyl/AncestralStateReconstruction.h
  Bpp/Phyl/App/PhylogeneticsApplicationTools.h
  Bpp/Phyl/BipartitionList.h
  Bpp/Phyl/BipartitionTools.h
  Bpp/Phyl/Distance/AbstractAgglomerativeDistanceMethod.h
  Bpp/Phyl/Distance/AgglomerativeDistanceMethod.h
  Bpp/Phyl/Distance/BioNJ.h
  Bpp/Phyl/Distance/DistanceEstimation.h
  Bpp/Phyl/Distance/NeighborJoining.h
  Bpp/Phyl/Distance/PGMA.h
  Bpp/Phyl/Distance/HierarchicalClustering.h
  Bpp/Phyl/Graphics/AbstractDendrogramPlot.h
  Bpp/Phyl/Graphics/AbstractTreeDrawing.h
  Bpp/Phyl/Graphics/CladogramPlot.h
  Bpp/Phyl/Graphics/PhylogramPlot.h
  Bpp/Phyl/Graphics/TreeDrawingDisplayControler.h
  Bpp/Phyl/Graphics/TreeDrawing.h
  Bpp/Phyl/Graphics/TreeDrawingListener.h
  Bpp/Phyl/Io/IoDistanceMatrixFactory.h
  Bpp/Phyl/Io/IoDistanceMatrix.h
  Bpp/Phyl/Io/IoTreeFactory.h
  Bpp/Phyl/Io/IoTree.h
  Bpp/Phyl/Io/Newick.h
  Bpp/Phyl/Io/Nhx.h
  Bpp/Phyl/Io/NexusIoTree.h
  Bpp/Phyl/Io/PhylipDistanceMatrixFormat.h
  Bpp/Phyl/Io/IoPairedSiteLikelihoods.h
  Bpp/Phyl/Likelihood/AbstractDiscreteRatesAcrossSitesTreeLikelihood.h
  Bpp/Phyl/Likelihood/AbstractHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/AbstractNonHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/AbstractTreeLikelihoodData.h
  Bpp/Phyl/Likelihood/AbstractTreeLikelihood.h
  Bpp/Phyl/Likelihood/ClockTreeLikelihood.h
  Bpp/Phyl/Likelihood/DiscreteRatesAcrossSitesTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRASDRTreeLikelihoodData.h
  Bpp/Phyl/Likelihood/DRASRTreeLikelihoodData.h
  Bpp/Phyl/Likelihood/DRHomogeneousMixedTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRNonHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRTreeLikelihood.h
  Bpp/Phyl/Likelihood/DRTreeLikelihoodTools.h
  Bpp/Phyl/Likelihood/HomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/MarginalAncestralStateReconstruction.h
  Bpp/Phyl/Likelihood/NNIHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/NonHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/PseudoNewtonOptimizer.h
  Bpp/Phyl/Likelihood/RASTools.h
  Bpp/Phyl/Likelihood/RHomogeneousClockTreeLikelihood.h
  Bpp/Phyl/Likelihood/RHomogeneousMixedTreeLikelihood.h
  Bpp/Phyl/Likelihood/RHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/RNonHomogeneousMixedTreeLikelihood.h
  Bpp/Phyl/Likelihood/RNonHomogeneousTreeLikelihood.h
  Bpp/Phyl/Likelihood/SitePartitionTreeLikelihood.h
  Bpp/Phyl/Likelihood/TreeLikelihoodData.h
  Bpp/Phyl/Likelihood/TreeLikelihood.h
  Bpp/Phyl/Likelihood/TreeLikelihoodTools.h
  Bpp/Phyl/Likelihood/PairedSiteLikelihoods.h
  Bpp/Phyl/Mapping/AnalyticalSubstitutionCount.h
  Bpp/Phyl/Mapping/IndexToCount.h
  Bpp/Phyl/Mapping/OneJumpSubstitutionCount.h
  Bpp/Phyl/Mapping/ProbabilisticSubstitutionMapping.h
  Bpp/Phyl/Mapping/SimpleSubstitutionCount.h
  Bpp/Phyl/Mapping/DecompositionSubstitutionCount.h
  Bpp/Phyl/Mapping/UniformizationSubstitutionCount.h
  Bpp/Phyl/Mapping/SubstitutionRegister.h
  Bpp/Phyl/Mapping/SubstitutionCount.h
  Bpp/Phyl/Mapping/SubstitutionMapping.h
  Bpp/Phyl/Mapping/SubstitutionMappingTools.h
  Bpp/Phyl/Model/AbstractCodonFrequenciesReversibleSubstitutionModel.h
  Bpp/Phyl/Model/AbstractCodonReversibleSubstitutionModel.h
  Bpp/Phyl/Model/AbstractSubstitutionModel.h
  Bpp/Phyl/Model/AbstractWordReversibleSubstitutionModel.h
  Bpp/Phyl/Model/CodonAsynonymousFrequenciesReversibleSubstitutionModel.h
  Bpp/Phyl/Model/CodonAsynonymousReversibleSubstitutionModel.h
  Bpp/Phyl/Model/CodonNeutralFrequenciesReversibleSubstitutionModel.h
  Bpp/Phyl/Model/CodonNeutralReversibleSubstitutionModel.h
  Bpp/Phyl/Model/DSO78.h
  Bpp/Phyl/Model/F84.h
  Bpp/Phyl/Model/FrequenciesSet.h
  Bpp/Phyl/Model/G2001.h
  Bpp/Phyl/Model/GTR.h
  Bpp/Phyl/Model/GY94.h
  Bpp/Phyl/Model/HKY85.h
  Bpp/Phyl/Model/JCnuc.h
  Bpp/Phyl/Model/JCprot.h
  Bpp/Phyl/Model/JTT92.h
  Bpp/Phyl/Model/K80.h
  Bpp/Phyl/Model/L95.h
  Bpp/Phyl/Model/RN95.h
  Bpp/Phyl/Model/RN95s.h
  Bpp/Phyl/Model/SSR.h
  Bpp/Phyl/Model/LG08.h
  Bpp/Phyl/Model/WAG01.h
  Bpp/Phyl/Model/LLG08_EHO.h
  Bpp/Phyl/Model/LLG08_EX2.h
  Bpp/Phyl/Model/LLG08_EX3.h
  Bpp/Phyl/Model/LLG08_UL2.h
  Bpp/Phyl/Model/LLG08_UL3.h
  Bpp/Phyl/Model/MarkovModulatedSubstitutionModel.h
  Bpp/Phyl/Model/MG94.h
  Bpp/Phyl/Model/MixedSubstitutionModel.h
  Bpp/Phyl/Model/AbstractMixedSubstitutionModel.h
  Bpp/Phyl/Model/MixtureOfASubstitutionModel.h
  Bpp/Phyl/Model/MixtureOfSubstitutionModels.h
  Bpp/Phyl/Model/NucleotideSubstitutionModel.h
  Bpp/Phyl/Model/ProteinSubstitutionModel.h
  Bpp/Phyl/Model/RateDistributionFactory.h
  Bpp/Phyl/Model/RE08.h
  Bpp/Phyl/Model/SubstitutionModelFactory.h
  Bpp/Phyl/Model/SubstitutionModel.h
  Bpp/Phyl/Model/SubstitutionModelSet.h
  Bpp/Phyl/Model/SubstitutionModelSetTools.h
  Bpp/Phyl/Model/T92.h
  Bpp/Phyl/Model/TN93.h
  Bpp/Phyl/Model/TripletReversibleSubstitutionModel.h
  Bpp/Phyl/Model/TS98.h
  Bpp/Phyl/Model/UserProteinSubstitutionModel.h
  Bpp/Phyl/Model/WordReversibleSubstitutionModel.h
  Bpp/Phyl/Model/YN98.h
  Bpp/Phyl/Model/YNGKP_M1.h
  Bpp/Phyl/Model/YNGKP_M2.h
  Bpp/Phyl/Model/YNGKP_M3.h
  Bpp/Phyl/Model/YNGKP_M7.h
  Bpp/Phyl/Model/YNGKP_M8.h
  Bpp/Phyl/NNISearchable.h
  Bpp/Phyl/NNITopologySearch.h
  Bpp/Phyl/Node.h
  Bpp/Phyl/NodeTemplate.h
  Bpp/Phyl/OptimizationTools.h
  Bpp/Phyl/Parsimony/AbstractTreeParsimonyData.h
  Bpp/Phyl/Parsimony/AbstractTreeParsimonyScore.h
  Bpp/Phyl/Parsimony/DRTreeParsimonyData.h
  Bpp/Phyl/Parsimony/DRTreeParsimonyScore.h
  Bpp/Phyl/Parsimony/TreeParsimonyData.h
  Bpp/Phyl/Parsimony/TreeParsimonyScore.h
  Bpp/Phyl/PatternTools.h
  Bpp/Phyl/PhyloStatistics.h
  Bpp/Phyl/Simulation/DetailedSiteSimulator.h
  Bpp/Phyl/Simulation/HomogeneousSequenceSimulator.h
  Bpp/Phyl/Simulation/MutationProcess.h
  Bpp/Phyl/Simulation/NonHomogeneousSequenceSimulator.h
  Bpp/Phyl/Simulation/SequenceSimulationTools.h
  Bpp/Phyl/Simulation/SequenceSimulator.h
  Bpp/Phyl/Simulation/SiteSimulator.h
  Bpp/Phyl/SitePatterns.h
  Bpp/Phyl/TopologySearch.h
  Bpp/Phyl/TreeExceptions.h
  Bpp/Phyl/Tree.h
  Bpp/Phyl/TreeTemplate.h
  Bpp/Phyl/TreeTemplateTools.h
  Bpp/Phyl/TreeTools.h
  )

# Build the static lib
add_library(bppphyl-static STATIC ${CPP_FILES})
set_target_properties(bppphyl-static
  PROPERTIES OUTPUT_NAME bpp-phyl
  CLEAN_DIRECT_OUTPUT 1
  )
target_link_libraries(bppphyl-static ${LIBS})

# Build the shared lib
add_library(bppphyl-shared SHARED ${CPP_FILES})
set_target_properties(bppphyl-shared
  PROPERTIES OUTPUT_NAME bpp-phyl
  CLEAN_DIRECT_OUTPUT 1
  VERSION ${BPPPHYL_VERSION}
  SOVERSION ${BPPPHYL_VERSION_MAJOR}
  )
target_link_libraries(bppphyl-shared ${LIBS})

# Install libs
install(TARGETS bppphyl-static bppphyl-shared DESTINATION lib${LIB_SUFFIX})

# Install headers
install(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN ".svn" EXCLUDE PATTERN "*.h" PATTERN "*.all")

=== test/CMakeLists.txt ===
# CMake script for bpp-phyl unit tests
# Author: Julien Dutheil
# Created: 12/11/2010

MACRO(TEST_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find})

  SET(${lib_name}_NAMES ${lib_name} ${lib_name}.lib ${lib_name}.dll)
  FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES})
  IF(${lib_name}_LIBRARY)
    MESSAGE("-- Library ${lib_name} found here:")
    MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
    MESSAGE("   dynamic libraries: ${${lib_name}_LIBRARY}")
    MESSAGE(WARNING "Library ${lib_name} is already installed in the system tree. Test will be built against it. This may lead to unexpected results. You may want to do 'make install' before 'make test', or remove the installed version.")
  ELSE()
    SET(${lib_name}_LIBRARY "-L../src -lbpp-phyl")
    SET(${lib_name}_INCLUDE_DIR "../src/")
  ENDIF()
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})
  SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
ENDMACRO(TEST_FIND_LIBRARY)

#Find the bpp-phyl library library:
TEST_FIND_LIBRARY(LIBS bpp-phyl Bpp/Phyl/Tree.h)

ADD_EXECUTABLE(test_tree test_tree.cpp)
TARGET_LINK_LIBRARIES(test_tree ${LIBS})
ADD_TEST(test_tree "test_tree")

ADD_EXECUTABLE(test_detailed_simulations test_detailed_simulations.cpp)
TARGET_LINK_LIBRARIES(test_detailed_simulations ${LIBS})
ADD_TEST(test_detailed_simulations "test_detailed_simulations")

ADD_EXECUTABLE(test_simulations test_simulations.cpp)
TARGET_LINK_LIBRARIES(test_simulations ${LIBS})
ADD_TEST(test_simulations "test_simulations")

ADD_EXECUTABLE(test_likelihood test_likelihood.cpp)
TARGET_LINK_LIBRARIES(test_likelihood ${LIBS})
ADD_TEST(test_likelihood "test_likelihood")

ADD_EXECUTABLE(test_mapping test_mapping.cpp)
TARGET_LINK_LIBRARIES(test_mapping ${LIBS})
ADD_TEST(test_mapping "test_mapping")

ADD_EXECUTABLE(test_mapping_codon test_mapping_codon.cpp)
TARGET_LINK_LIBRARIES(test_mapping_codon ${LIBS})
ADD_TEST(test_mapping_codon "test_mapping_codon")

ADD_EXECUTABLE(test_nhx test_nhx.cpp)
TARGET_LINK_LIBRARIES(test_nhx ${LIBS})
ADD_TEST(test_nhx "test_nhx")

ADD_EXECUTABLE(test_bowker test_bowker.cpp)
TARGET_LINK_LIBRARIES(test_bowker ${LIBS})
ADD_TEST(test_bowker "test_bowker")

IF(UNIX)
  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
ENDIF()

IF(APPLE)
  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "DYLD_LIBRARY_PATH=$ENV{DYLD_LIBRARY_PATH}:../src")
ENDIF()

IF(WIN32)
  SET(ENV{PATH} "$ENV{PATH};..\\src")
ENDIF()

=== debian/control ===
Source: libbpp-phyl
Section: libs
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-seq-dev (>= 2.0.1)
Standards-Version: 3.9.1

Package: libbpp-phyl-dev
Section: libdevel
Architecture: any
Depends: libbpp-phyl9 (= ${binary:Version}), ${misc:Depends},
  libbpp-seq-dev (>= 2.0.1)
Description: The Bio++ Phylogenetic library development files.
 Contains the Bio++ classes for phylogenetics.

Package: libbpp-phyl9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-seq9 (>= 2.0.1)
Description: The Bio++ Phylogenetic library.
 Contains the Bio++ classes for phylogenetics.

## libbpp-phyl 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
 SET(BPPPHYL_VERSION_CURRENT "10")
-SET(BPPPHYL_VERSION_REVISION "1")
+SET(BPPPHYL_VERSION_REVISION "2")
 SET(BPPPHYL_VERSION_AGE "1")
 
 # Effective version number computation
@@ -98,10 +98,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-phyl")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.0.2")
+SET(CPACK_PACKAGE_VERSION "2.0.3")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "0")
-SET(CPACK_PACKAGE_VERSION_PATCH "2")
+SET(CPACK_PACKAGE_VERSION_PATCH "3")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Phylogenetics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -122,6 +122,8 @@
  ".*\\\\..*\\\\.swp"
  "src/\\\\..*"
  "src/libbpp*"
+ "test/tmp_*"
+ "tmp_*"
  "debian/tmp"
  "debian/libbpp.*/"
  "debian/libbpp.*\\\\.so.*"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,7 @@
   Bpp/Phyl/Likelihood/RNonHomogeneousTreeLikelihood.cpp
   Bpp/Phyl/Likelihood/TreeLikelihoodTools.cpp
   Bpp/Phyl/Likelihood/PairedSiteLikelihoods.cpp
+  Bpp/Phyl/Likelihood/GlobalClockTreeLikelihoodFunctionWrapper.cpp
   Bpp/Phyl/Mapping/AnalyticalSubstitutionCount.cpp
   Bpp/Phyl/Mapping/OneJumpSubstitutionCount.cpp
   Bpp/Phyl/Mapping/ProbabilisticSubstitutionMapping.cpp
@@ -55,14 +56,8 @@
   Bpp/Phyl/Mapping/UniformizationSubstitutionCount.cpp
   Bpp/Phyl/Mapping/IndexToCount.cpp
   Bpp/Phyl/Mapping/SubstitutionMappingTools.cpp
-  Bpp/Phyl/Model/AbstractCodonFrequenciesReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/AbstractCodonReversibleSubstitutionModel.cpp
+  Bpp/Phyl/Model/BinarySubstitutionModel.cpp
   Bpp/Phyl/Model/AbstractSubstitutionModel.cpp
-  Bpp/Phyl/Model/AbstractWordReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/CodonAsynonymousFrequenciesReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/CodonAsynonymousReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/CodonNeutralFrequenciesReversibleSubstitutionModel.cpp
-  Bpp/Phyl/Model/CodonNeutralReversibleSubstitutionModel.cpp
   Bpp/Phyl/Model/DSO78.cpp
   Bpp/Phyl/Model/F84.cpp
   Bpp/Phyl/Model/FrequenciesSet.cpp
@@ -79,6 +74,8 @@
   Bpp/Phyl/Model/SSR.cpp
   Bpp/Phyl/Model/LG08.cpp
   Bpp/Phyl/Model/WAG01.cpp
+  Bpp/Phyl/Model/AbstractBiblioSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractBiblioMixedSubstitutionModel.cpp
   Bpp/Phyl/Model/LLG08_EHO.cpp
   Bpp/Phyl/Model/LLG08_EX2.cpp
   Bpp/Phyl/Model/LLG08_EX3.cpp
@@ -93,18 +90,30 @@
   Bpp/Phyl/Model/RE08.cpp
   Bpp/Phyl/Model/SubstitutionModelFactory.cpp
   Bpp/Phyl/Model/SubstitutionModelSet.cpp
+  Bpp/Phyl/Model/MixedSubstitutionModelSet.cpp
   Bpp/Phyl/Model/SubstitutionModelSetTools.cpp
   Bpp/Phyl/Model/T92.cpp
   Bpp/Phyl/Model/TN93.cpp
-  Bpp/Phyl/Model/TripletReversibleSubstitutionModel.cpp
   Bpp/Phyl/Model/UserProteinSubstitutionModel.cpp
-  Bpp/Phyl/Model/WordReversibleSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractWordSubstitutionModel.cpp
+  Bpp/Phyl/Model/WordSubstitutionModel.cpp
+  Bpp/Phyl/Model/TripletSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractCodonSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractCodonFrequenciesSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractCodonPhaseFrequenciesSubstitutionModel.cpp
+  Bpp/Phyl/Model/AbstractCodonDistanceSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonDistanceSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonDistanceFrequenciesSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonDistancePhaseFrequenciesSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonRateSubstitutionModel.cpp
+  Bpp/Phyl/Model/CodonRateFrequenciesSubstitutionModel.cpp
   Bpp/Phyl/Model/YN98.cpp
   Bpp/Phyl/Model/YNGKP_M1.cpp
   Bpp/Phyl/Model/YNGKP_M2.cpp
   Bpp/Phyl/Model/YNGKP_M3.cpp
   Bpp/Phyl/Model/YNGKP_M7.cpp
   Bpp/Phyl/Model/YNGKP_M8.cpp
+  Bpp/Phyl/Model/YpR.cpp
   Bpp/Phyl/NNITopologySearch.cpp
   Bpp/Phyl/Node.cpp
   Bpp/Phyl/OptimizationTools.cpp
@@ -179,6 +188,7 @@
   Bpp/Phyl/Likelihood/TreeLikelihood.h
   Bpp/Phyl/Likelihood/TreeLikelihoodTools.h
   Bpp/Phyl/Likelihood/PairedSiteLikelihoods.h
+  Bpp/Phyl/Likelihood/GlobalClockTreeLikelihoodFunctionWrapper.h
   Bpp/Phyl/Mapping/AnalyticalSubstitutionCount.h
   Bpp/Phyl/Mapping/IndexToCount.h
   Bpp/Phyl/Mapping/OneJumpSubstitutionCount.h
@@ -190,14 +200,8 @@
   Bpp/Phyl/Mapping/SubstitutionCount.h
   Bpp/Phyl/Mapping/SubstitutionMapping.h
   Bpp/Phyl/Mapping/SubstitutionMappingTools.h
-  Bpp/Phyl/Model/AbstractCodonFrequenciesReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/AbstractCodonReversibleSubstitutionModel.h
+  Bpp/Phyl/Model/BinarySubstitutionModel.h
   Bpp/Phyl/Model/AbstractSubstitutionModel.h
-  Bpp/Phyl/Model/AbstractWordReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/CodonAsynonymousFrequenciesReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/CodonAsynonymousReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/CodonNeutralFrequenciesReversibleSubstitutionModel.h
-  Bpp/Phyl/Model/CodonNeutralReversibleSubstitutionModel.h
   Bpp/Phyl/Model/DSO78.h
   Bpp/Phyl/Model/F84.h
   Bpp/Phyl/Model/FrequenciesSet.h
@@ -215,6 +219,8 @@
   Bpp/Phyl/Model/SSR.h
   Bpp/Phyl/Model/LG08.h
   Bpp/Phyl/Model/WAG01.h
+  Bpp/Phyl/Model/AbstractBiblioSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractBiblioMixedSubstitutionModel.h
   Bpp/Phyl/Model/LLG08_EHO.h
   Bpp/Phyl/Model/LLG08_EX2.h
   Bpp/Phyl/Model/LLG08_EX3.h
@@ -233,19 +239,32 @@
   Bpp/Phyl/Model/SubstitutionModelFactory.h
   Bpp/Phyl/Model/SubstitutionModel.h
   Bpp/Phyl/Model/SubstitutionModelSet.h
+  Bpp/Phyl/Model/MixedSubstitutionModelSet.h
   Bpp/Phyl/Model/SubstitutionModelSetTools.h
   Bpp/Phyl/Model/T92.h
   Bpp/Phyl/Model/TN93.h
-  Bpp/Phyl/Model/TripletReversibleSubstitutionModel.h
+  Bpp/Phyl/Model/TripletSubstitutionModel.h
   Bpp/Phyl/Model/TS98.h
   Bpp/Phyl/Model/UserProteinSubstitutionModel.h
-  Bpp/Phyl/Model/WordReversibleSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractWordSubstitutionModel.h
+  Bpp/Phyl/Model/WordSubstitutionModel.h
+  Bpp/Phyl/Model/CodonSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractCodonSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractCodonFrequenciesSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractCodonPhaseFrequenciesSubstitutionModel.h
+  Bpp/Phyl/Model/AbstractCodonDistanceSubstitutionModel.h
+  Bpp/Phyl/Model/CodonDistanceSubstitutionModel.h
+  Bpp/Phyl/Model/CodonDistanceFrequenciesSubstitutionModel.h
+  Bpp/Phyl/Model/CodonDistancePhaseFrequenciesSubstitutionModel.h
+  Bpp/Phyl/Model/CodonRateSubstitutionModel.h
+  Bpp/Phyl/Model/CodonRateFrequenciesSubstitutionModel.h
   Bpp/Phyl/Model/YN98.h
   Bpp/Phyl/Model/YNGKP_M1.h
   Bpp/Phyl/Model/YNGKP_M2.h
   Bpp/Phyl/Model/YNGKP_M3.h
   Bpp/Phyl/Model/YNGKP_M7.h
   Bpp/Phyl/Model/YNGKP_M8.h
+  Bpp/Phyl/Model/YpR.h
   Bpp/Phyl/NNISearchable.h
   Bpp/Phyl/NNITopologySearch.h
   Bpp/Phyl/Node.h
@@ -278,23 +297,3 @@
 # Build the static lib
 add_library(bppphyl-static STATIC ${CPP_FILES})
 set_target_properties(bppphyl-static
-  PROPERTIES OUTPUT_NAME bpp-phyl
-  CLEAN_DIRECT_OUTPUT 1
-  )
-target_link_libraries(bppphyl-static ${LIBS})
-
-# Build the shared lib
-add_library(bppphyl-shared SHARED ${CPP_FILES})
-set_target_properties(bppphyl-shared
-  PROPERTIES OUTPUT_NAME bpp-phyl
-  CLEAN_DIRECT_OUTPUT 1
-  VERSION ${BPPPHYL_VERSION}
-  SOVERSION ${BPPPHYL_VERSION_MAJOR}
-  )
-target_link_libraries(bppphyl-shared ${LIBS})
-
-# Install libs
-install(TARGETS bppphyl-static bppphyl-shared DESTINATION lib${LIB_SUFFIX})
-
-# Install headers
-install(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN ".svn" EXCLUDE PATTERN "*.h" PATTERN "*.all")

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,14 @@
 TARGET_LINK_LIBRARIES(test_likelihood ${LIBS})
 ADD_TEST(test_likelihood "test_likelihood")
 
+ADD_EXECUTABLE(test_likelihood_nh test_likelihood_nh.cpp)
+TARGET_LINK_LIBRARIES(test_likelihood_nh ${LIBS})
+ADD_TEST(test_likelihood_nh "test_likelihood_nh")
+
+ADD_EXECUTABLE(test_likelihood_clock test_likelihood_clock.cpp)
+TARGET_LINK_LIBRARIES(test_likelihood_clock ${LIBS})
+ADD_TEST(test_likelihood_clock "test_likelihood_clock")
+
 ADD_EXECUTABLE(test_mapping test_mapping.cpp)
 TARGET_LINK_LIBRARIES(test_mapping ${LIBS})
 ADD_TEST(test_mapping "test_mapping")
@@ -57,11 +65,11 @@
 ADD_TEST(test_bowker "test_bowker")
 
 IF(UNIX)
-  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
+  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_likelihood test_likelihood_nh test_likelihood_clock test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
 ENDIF()
 
 IF(APPLE)
-  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "DYLD_LIBRARY_PATH=$ENV{DYLD_LIBRARY_PATH}:../src")
+  SET_PROPERTY(TEST test_detailed_simulations test_simulations test_likelihood test_likelihood_nh test_likelihood_clock test_tree test_mapping test_mapping_codon test_nhx test_bowker PROPERTY ENVIRONMENT "DYLD_LIBRARY_PATH=$ENV{DYLD_LIBRARY_PATH}:../src")
 ENDIF()
 
 IF(WIN32)

=== debian/changelog ===
libbpp-phyl (2.0.3-1) unstable; urgency=low

  * Reorganized model hierarchy
  * New pairwise models
  * Several bugs fixed

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2013 16:00:00 +0100

libbpp-phyl (2.0.2-1) unstable; urgency=low

  * RFP: Bio++ -- The Bio++ bioinformatics libraries. (Closes: #616373).
  * Packages are now non-native.
  * Exact substitution mapping with detailled counts.
  * Backup system for ML estimation.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Jun 2011 11:00:00 +0100

libbpp-phyl (2.0.1) unstable; urgency=low

  * Fixed bug #27
  * Improved tree drawing algorithms.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 28 Feb 2011 09:00:00 +0100

libbpp-phyl (2.0.0) unstable; urgency=low

  * Better mixed models
  * Extended substitution mapping framework
  * More bug fixed, notably in simulation procedures
  * Topology comparison tools (ELW)
  * Improved graphic classes

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 07 Feb 2011 09:00:00 +0100

libbpp-phyl (1.9.0) unstable; urgency=low

  * Several bugs fixed and improvements, compilation with -Weffc++
  * Codon models
  * Improved non-homogeneous classes
  * Improved tree drawing classes

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 25 Mar 2010 13:47:24 +0100

libbpp-phyl (1.8.0) unstable; urgency=low

  * Several buf fixed and improvements.
  * New support for Nexus tree files.
  * New syntax for model description using keyvals.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 10 Jun 2009 11:28:58 +0100

libbpp-phyl (1.7.0) unstable; urgency=low

  * Several bug fixed and improvements...

 -- Julien Dutheil <jdutheil@birc.au.dk>  Thu, 11 Dec 2008 12:21:37 +0100

libbpp-phyl (1.6.0) unstable; urgency=low

  * New +F protein models + bugs fixed.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 24 Sep 2008 14:07:26 +0200

libbpp-phyl (1.5.1) unstable; urgency=low

  * Initial Release.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Mon, 21 Jul 2008 15:17:26 +0200

=== debian/control ===
Source: libbpp-phyl
Section: libs
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-seq-dev (>= 2.0.3)
Standards-Version: 3.9.1

Package: libbpp-phyl-dev
Section: libdevel
Architecture: any
Depends: libbpp-phyl9 (= ${binary:Version}), ${misc:Depends},
  libbpp-seq-dev (>= 2.0.3)
Description: Bio++ Phylogenetic library development files.
 Contains the Bio++ classes for phylogenetics.

Package: libbpp-phyl9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-seq9 (>= 2.0.3)
Description: Bio++ Phylogenetic library.
 Contains the Bio++ classes for phylogenetics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# 24/01/10 Modification for use with CMake by Julien Dutheil.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions
version=`ls src/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=OFF .

config.status: configure
	dh_testdir

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean;
	[ ! -f Makefile ] || rm Makefile;
	[ ! -f Makefile ] || rm src/Makefile;
	rm -f config.sub config.guess
	rm -f build-stamp
	rm -f CMakeCache.txt
	rm -f *.cmake
	rm -f src/*.cmake
	rm -f test/*.cmake
	rm -rf CMakeFiles
	rm -rf src/CMakeFiles
	rm -rf test/CMakeFiles
	rm -rf _CPack_Packages
	rm -rf Testing
	rm -f DartConfiguration.tcl

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
